--SET BACKGROUND:
application:setBackgroundColor(0x0d9b24)
for i=1,5 do
	local bgPic=Bitmap.new(Texture.new("bg/"..i..".png",true))
	bgPic:setScale(.4); bgPic:setAlpha(.2)
	bgPic:setPosition(math.random(0,480),math.random(0,854))
	stage:addChild(bgPic)
end
for i=1,5 do
	local bgPic=Bitmap.new(Texture.new("bg/"..i..".png",true))
	bgPic:setScale(-0.4,-0.4); bgPic:setAlpha(.2)
	bgPic:setPosition(math.random(0,480),math.random(0,854))
	stage:addChild(bgPic)
end

--SET PLAYER:
local player = Bitmap.new(Texture.new("player.png",true))
local stone = Bitmap.new(Texture.new("stone.png",true));

stone:setAnchorPoint(.5,.5); stone:setPosition(200,500); stone:setScale(.5)
player:setPosition(200,500); player:setScale(.5);

stage:addChild(stone); stage:addChild(player)

local mainAnchor=Pixel.new(0xff0000,1,10,10)--red anchor
player:addChild(mainAnchor)

local secondAnchor=Pixel.new(0x0000ff,1,10,10)--blue anchor
player:addChild(secondAnchor)
secondAnchor:setPosition(-245,-255)

player:setAnchorPoint(.85,.85)
player.isClockwise=true
player.rotationDir=1
player.speed=3

--ON ENTER_FRAME ROTATE PLAYER:
local function onEnterFrameFunc()
	player:setRotation(player:getRotation()+player.rotationDir*player.speed)
end
stage:addEventListener(Event.ENTER_FRAME, onEnterFrameFunc)

--ON TAP:
local function onTapFunc(event)
	local x,y=secondAnchor:localToGlobal(secondAnchor:getAnchorPosition())
	
	if player.isClockwise==true then
		player.isClockwise=false
		player:setAnchorPoint(.2,.1)
		secondAnchor:setPosition(245,255)
	else
		player.isClockwise=true
		player:setAnchorPoint(.85,.85)
		secondAnchor:setPosition(-245,-255)
	end
	player.rotationDir=-player.rotationDir
	
	player:setPosition(x,y)
	pulsePlayerScale()
end
stage:addEventListener(Event.MOUSE_DOWN, onTapFunc,self)

function pulsePlayerScale()
	local makePlayerSmaller=GTween.new(player, .2, {scaleX=0.4,scaleY=0.4}, {delay = 0, ease = easing.linear, onComplete = function()
		local makePlayerNormal=GTween.new(player, .2, {scaleX=0.5,scaleY=0.5}, {delay = 0, ease = easing.linear})
	end})
end

--SPAWN NEXT STONE:
local function spawnNextStone()
	--gotta spawn a stone somewhere in radius 190px of player's current x,y
end

spawnNextStone()